package com.yuchen.saas.parking.api.enums;

import lombok.AllArgsConstructor;

/**
 * @Author 蔡文强
 * @Date 2023/5/25 15:56
 * @Description 优惠活动状态枚举信息
 */
@AllArgsConstructor
public enum CouponActivityStatusEnum {

    NOT_EFFECTIVE(1, "未生效"),
    IN_EFFECT(2, "生效中"),
    EXPIRED(3, "已过期"),
    ;

    private Integer code;

    public Integer getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    private String description;

    public static String getDescByCode(Integer code) {
        CouponActivityStatusEnum[] enumArray = CouponActivityStatusEnum.values();
        for (CouponActivityStatusEnum e : enumArray) {
            if (e.getCode().equals(code)) {
                return e.getDescription();
            }
        }
        return "";
    }
}
